Name:		crda
Version:	3.18
Release:	%mkrel 2
Summary:	Software to upload wireless regulatory information into kernel
License:	ISC
Group:		System/Kernel and hardware
URL:		http://linuxwireless.org/en/developers/Regulatory/CRDA
Source0:	http://wireless.kernel.org/download/crda/crda-%{version}.tar.xz
Source2:        setregdomain
Source3:        setregdomain.1
# Add udev rule to call setregdomain on wireless device add
Patch1:         regulatory-rules-setregdomain.patch
Patch3:		crda-remove-ldconfig.patch
Requires:	udev
Requires:	wireless-regdb
BuildRequires:	libgcrypt-devel
BuildRequires:	libnl3-devel
BuildRequires:	python-m2crypto
BuildRequires:	wireless-regdb

%description
CRDA acts as the udev helper for communication between the kernel and
userspace for regulatory compliance. It relies on nl80211 for
communication. CRDA is intended to be run only through udev
communication from the kernel. The user should never have to run it
manually except if debugging udev issues.

%package devel
Summary:        Header files for use with libreg
Group:          Development/Kernel

%description devel
Header files to make use of libreg for accessing regulatory info.

%prep
%setup -q
%patch1 -p1
%patch3 -p1

%build
export CFLAGS="%{optflags}"
%make V=1

%install
%makeinstall_std DESTDIR=%{buildroot} SBINDIR=%{_sbindir} UDEV_RULE_DIR=/lib/udev/rules.d/ LIBDIR=%{_libdir}
mkdir -p %{buildroot}%{_prefix}/lib/crda
install -D -pm 0755 %SOURCE2 %{buildroot}%{_sbindir}/
install -D -pm 0644 %SOURCE3 %{buildroot}%{_mandir}/man1/setregdomain.1

%files
%doc LICENSE
%dir %{_prefix}/lib/crda
%{_mandir}/man1/setregdomain.1*
%{_mandir}/man8/crda.8*
%{_mandir}/man8/regdbdump.8*
/lib/udev/rules.d/85-regulatory.rules
%{_libdir}/libreg.so
%defattr(0755,root,root,0755)
%{_sbindir}/crda
%{_sbindir}/regdbdump
%{_sbindir}/setregdomain

%files devel
%{_includedir}/reglib/nl80211.h
%{_includedir}/reglib/regdb.h
%{_includedir}/reglib/reglib.h


%changelog
* Wed Sep 13 2017 adrianomorselli <adrianomorselli> 3.18-2uplos2017
- update
